List Voyage Report
Developing
Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Request Code Samples
curl --location -g --request GET 'https://mazu-lan.concise.co.id/api/v1/main/voyage-reports?pagination=true&row=100&page=1&start_date={{$date.now|addMonths(-1)|addDays(-3)}}&end_date={{$date.now|addMonths(-1)|addDays(-1)}}' \
--header 'Authorization: Bearer <token>'
Responses
application/json {
"status": true,
"code": 200,
"message": "Successfully Fetch Voyage Event",
"data": {
"count": 1,
"rows": [
{
"id": "f20817ba-b3bf-4f74-b084-855e7d8c86ea",
"name": "name report 1",
"vessel": "MV. HABCO ANKAA",
"start_period_date": "2025-07-09T01:10:35.244Z",
"end_period_date": "2025-08-09T01:10:35.244Z",
"total_event": "1"
}
]
}
}
Modified at 2025-09-17 08:00:17